%define base_name kde-styles
%define theme_name liquid
%define name %base_name-%theme_name

Name: %name
Summary: A Modern and Colorful theme
Version: 0.9.7
Release: alt1
License: BSD
Group: Graphical desktop/KDE
Source: %theme_name-%version.tar.bz2
Packager: Valery Inozemtsev <shrek@altlinux.ru>
Url: http://www.kde-look.org/content/show.php?content=14183

# Automatically added by buildreq on Thu Jul 08 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ gcc-java hostinfo kde-settings kdebase-devel kdebase-wm kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel

%description
This package contains a very modern style with translucent elements. It contains a window decoration, widget style code, and a configuration element.

%prep

%setup -q -n %theme_name-%version

%build
%__subst "s/\.la/.so/g" configure
%__subst "s/libkdecorations.la/libkdecorations.so/g" kwin-engine/Makefile.in

%configure \
	--disable-rpath \
	--enable-final
%make

%install
%make DESTDIR=$RPM_BUILD_ROOT install-strip

%files
%doc AUTHORS COPYING README
%_libdir/kde3/*.so
%_libdir/kde3/*.la
%_libdir/kde3/plugins/styles/%theme_name.*
%_libdir/qt3/etc/settings/*
%_datadir/apps/kdisplay/color-schemes/Liquid.*
%_datadir/apps/kstyle/themes/%theme_name.*
%_datadir/apps/kwin/%theme_name.*

%changelog
* Thu Jul 08 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.9.7-alt1
- initial release

